## newlisp 10.7.0

=== Makefile ===
#
# USAGE:
#
# make <option>
#
# to see a list of all options, enter 'make help'
#
# Note! on some systems do 'gmake' instead of 'make' (most BSD)
#
# for 'make install' you have to login as 'root' else do 'make install_home'
# note that 'make install_home' will not install guiserver files which
# must be in /usr/local/share/newlisp in MacOX X and UNIX machines
#
# to make the distribution archive:  'make dist'
#
# to clean up (delete .o *~ core etc.):  'make clean'
#
# for customization options, like install location, 64-bit nerwlisp,
# newLISP as a library etc., see the file doc/INSTALL.txt
#
# Regular expressions are on all platforms Perl Compatible Regular Expresssions PCRE
# see http://www.pcre.org. PCRE can be localized to other languages than English
# by generating different character tables, see documentation at www.pcre.org
# and file LOCALIZATION for details
#

VERSION = 10.7.0
INT_VERSION = 10700

default: makefile_build
	make -f makefile_build

makefile_build:
	./configure

all: default

help:
	@echo "\nDo one of the following:"
	@echo "  make                 # auto-select one of the predefined makefiles and build newLISP"
	@echo "  make help            # display this help"
	@echo "  make install         # install on LINUX/UNIX in /usr/local/bin and /usr/local/share (need to be root)"
	@echo "  make uninstall       # uninstall on LINUX/UNIX from /usr/local/bin and /usr/local/share (need to be root)"
	@echo "  make install_home    # install on LINUX/UNIX in users home directory "
	@echo "  make uninstall_home  # uninstall on LINUX/UNIX from users home directory "
	@echo
	@echo "  make clean           # remove all *.o and .tar files etc. USE BETWEEN FLAVORS!"
	@echo "  make check           # run qa-dot, qa-net, qa-xml etc. test scripts"
	@echo "  make test            # same as 'make check' but less output"
	@echo "  make testall         # run an extended test suite with less output"
	@echo "  make version         # replace version number in several files after changing in Makefile"
	@echo "  make bench           # benchmark relative to 32-bit Mac OS 10.5 on MacMini 1.83Ghz"
	@echo "  make dist            # make a source distribution .tgz package "
	@echo "  make android_dist    # make a source package for Android NDK compilation"
	@echo "  make android_dist_utf8  # make a source package for Android NDK compilationi utf8"
	@echo
	@echo "Note! on some systems use gmake instead of make."
	@echo "Note! not all makefiles are listed in this help, specifically 64-bit versions."
	@echo " "
	@echo "Readline is for commandline editing support and requires libreadline and headerfiles."
	@echo "Not all makefiles contain libreadline support, but is easy to add (see other makefieles)."
	@echo "If there is no UTF-8 option for your OS, consult makefile_xxx."
	@echo " "
	@echo "For more customization options (exe dir, install dir, 64-biti, etc) see the file doc/INSTALL"

# make newlisp.exe and newlisp.dll on a MinGW, MSYS system
# also needs the installer NSYS installed
winall:
	make clean
	make -f makefile_mingw_ffi
	rm *.o
	make -f makefile_mingwdll_ffi
	rm *.o
	./newlisp qa-dot

# make newlisp.exe and newlisp.dll in UTF-8 flavor
winall_utf8:
	make clean
	make -f makefile_mingw_utf8_ffi
	rm *.o
	make -f makefile_mingwdll_utf8_ffi
	rm *.o
	./newlisp qa-dot
	tar czvf newlisp-win-utf8.tgz newlisp.exe newlisp.dll

winall64:
	make clean
	make -f makefile_mingw64_ffi
	rm *.o
	make -f makefile_mingw64dll_ffi
	rm *.o
	./newlisp qa-dot
	tar czvf newlisp-win64.tgz newlisp.exe newlisp.dll

# make newlisp.exe and newlisp.dll in UTF-8 flavor
winall64_utf8:
	make clean
	make -f makefile_mingw64_utf8_ffi
	rm *.o
	make -f makefile_mingw64dll_utf8_ffi
	rm *.o
	./newlisp qa-dot
	tar czvf newlisp-win64-utf8.tgz newlisp.exe newlisp.dll

# make a Windows installer package
wings:
	make -f makefile_wings
	
wings64:
	make -f makefile_wings64
	

# scripts for making UBUNTU linux packages

dpkg:
	make clean
	cp makefile_original_install makefile_install
	make -f makefile_linuxLP64_ffi
	cp util/description-pak .
	sudo checkinstall --nodoc --maintainer "lutz@nuevatec.com" --pkgrelease 1 --default
	rm description-pak
	mv *.deb ../Desktop

dpkg_utf8:
	make clean
	cp makefile_original_install makefile_install
	make -f makefile_linuxLP64_utf8_ffi
	cp util/description-pak .
	sudo checkinstall --nodoc --maintainer "lutz@nuevatec.com" --pkgrelease utf8 --default
	rm description-pak
	mv *.deb ../Desktop

# scripts for making Mac OS X disk image installers
# makefile_darwin_package needs a previous /Applications/newLISP-GS.app
dmg_ppc:
	make clean
	make -f makefile_darwin_utf8_leopardPPC_ffi 
	make -f makefile_darwin_package
	hdiutil create -srcfolder newLISP-image newlisp-$(VERSION)-OSX-ppc.dmg
	mv newlisp-$(VERSION)-OSX-ppc.dmg ..
	sudo rm -rf Package_contents
	sudo rm -rf newLISP-image

# makefile_darwin_package needs a previous /Applications/newLISP-GS.app
dmg_intel:
	make clean
	make -f makefile_darwinLP64_utf8_ffi
	make -f makefile_darwin_package
	hdiutil create -srcfolder newLISP-image newlisp-$(VERSION)-OSX-intel.dmg
	mv newlisp-$(VERSION)-OSX-intel.dmg ..
	sudo rm -rf Package_contents
	sudo rm -rf newLISP-image

# this cleans up the distribution directory for a clean build from scratch

# this cleans the tree for a rebuild using the same configuration as before
clean:
	-rm -f *~ *.bak *.o *.obj *.map *.core core *.tgz *.txt TEST newlisp-universal
	-rm -f newlisp-js*.*
	-rm -rf newlisp-js-$(VERSION)
	-rm -f guiserver/*.class */*~ */._*
	-rm -f doc/*.bak util/*.bak examples/*.bak modules/*.bak
	-chmod 644 *.h *.c Makefile makefile*
	-chmod 755 configure configure-alt examples/*
	-chmod 644 doc/* modules/*.lsp examples/*.lsp examples/*.html
	-chmod 755 doc/index.cgi
	-chmod 644 guiserver/*
	-chmod 755 guiserver/index.cgi
	-chmod 755 guiserver/images
	-chmod 644 guiserver/images/*
	-chmod 755 guiserver/images/index.cgi
	-chmod 755 guiserver/java
	-chmod 644 guiserver/java/*
	-chmod 755 guiserver/java/index.cgi
	-rm -f makefile_build makefile_install config.h test-*

# run test scripts
sharebug:
	./newlisp qa-dot


check:
	./newlisp qa-dot
	./newlisp qa-specific-tests/qa-dictionary
	./newlisp qa-specific-tests/qa-xml
	./newlisp qa-specific-tests/qa-json
	./newlisp qa-specific-tests/qa-setsig
	./newlisp qa-specific-tests/qa-net
	./newlisp qa-specific-tests/qa-cilk
	./newlisp qa-specific-tests/qa-ref
	./newlisp qa-specific-tests/qa-message
	./newlisp qa-specific-tests/qa-win-dll
	./newlisp qa-specific-tests/qa-bigint 10000
	./newlisp qa-specific-tests/qa-bench

# old naming for check 
test: 
	make check | grep '>>>'

checkall:
	./newlisp qa-dot ; echo qa-dot
	./newlisp qa-specific-tests/qa-dictionary
	./newlisp qa-specific-tests/qa-xml
	./newlisp qa-specific-tests/qa-json
	./newlisp qa-specific-tests/qa-setsig
	./newlisp qa-specific-tests/qa-net
	./newlisp qa-specific-tests/qa-net6
	./newlisp qa-specific-tests/qa-cilk
	./newlisp qa-specific-tests/qa-ref
	./newlisp qa-specific-tests/qa-message
	./newlisp qa-specific-tests/qa-win-dll
	./newlisp qa-specific-tests/qa-blockmemory
	./newlisp qa-specific-tests/qa-exception
	./newlisp qa-specific-tests/qa-float
	./newlisp qa-specific-tests/qa-foop
	./newlisp qa-specific-tests/qa-local-domain
	./newlisp qa-specific-tests/qa-inplace
#	./newlisp qa-specific-tests/qa-utf16path
	./newlisp qa-specific-tests/qa-pipefork
	./newlisp qa-specific-tests/qa-libffi
	./newlisp qa-specific-tests/qa-bigint 10000
	./newlisp qa-specific-tests/qa-longnum
	./newlisp qa-specific-tests/qa-factorfibo 60
	./newlisp qa-specific-tests/qa-bench

testall: 
	make checkall | grep '>>>'

# benchmark
bench: 
	./newlisp qa-specific-tests/qa-bench

# install

# makefile_install normally is created by the configure script
# but when using 'make -f makefile_xxx' the file hasn't been
# created and is created with this dependency

makefile_install:
	cp makefile_original_install makefile_install

install: makefile_install
	-make -f makefile_install install

uninstall:
	-make -f makefile_install uninstall

install_home:
	-make -f makefile_install install_home

uninstall_home:
	-make -f makefile_install uninstall_home

# This makes the main newlisp-x.x.x.tgz source distribuition package
dist: clean
	-mkdir newlisp-$(VERSION)
	-mkdir newlisp-$(VERSION)/guiserver
	-mkdir newlisp-$(VERSION)/guiserver/images
	-mkdir newlisp-$(VERSION)/guiserver/java
	-mkdir newlisp-$(VERSION)/modules
	-mkdir newlisp-$(VERSION)/examples
	-mkdir newlisp-$(VERSION)/doc
	-mkdir newlisp-$(VERSION)/util
	-mkdir newlisp-$(VERSION)/qa-specific-tests
	-mkdir newlisp-$(VERSION)/newlisp-js
	cp README newlisp-$(VERSION)
	cp nl*.c newlisp.c *.h pcre*.c index.cgi newlisp-$(VERSION)
	cp win64-dll.def win-*.* unix*.c newlisp-$(VERSION)
	cp Makefile configure* makefile* qa-dot qa-comma newlisp-$(VERSION)
	cp modules/* newlisp-$(VERSION)/modules
	cp examples/* newlisp-$(VERSION)/examples
	cp doc/* newlisp-$(VERSION)/doc
	cp util/* newlisp-$(VERSION)/util
	cp qa-specific-tests/* newlisp-$(VERSION)/qa-specific-tests
	cp -R guiserver/* newlisp-$(VERSION)/guiserver
	cp -R newlisp-js/* newlisp-$(VERSION)/newlisp-js
	tar czvf newlisp-$(VERSION).tgz newlisp-$(VERSION)/*
	rm -rf newlisp-$(VERSION)
	mv newlisp-$(VERSION).tgz ..


# this makes a Android source package for compilation using the Android NDK
# may want to change APP_PLATFORM spec to something different
android_dist_utf8:
	-mkdir newlisp-ndk-utf8-$(VERSION)
	-mkdir newlisp-ndk-utf8-$(VERSION)/jni
	-mkdir newlisp-ndk-utf8-$(VERSION)/libs
	-mkdir newlisp-ndk-utf8-$(VERSION)/libs/armeabi
	-mkdir newlisp-ndk-utf8-$(VERSION)/obj
	-mkdir newlisp-ndk-utf8-$(VERSION)/obj/local
	-mkdir newlisp-ndk-utf8-$(VERSION)/obj/local/armeabi
	cp nl*.c newlisp.c *.h pcre*.c newlisp-ndk-utf8-$(VERSION)/jni
	rm newlisp-ndk-utf8-$(VERSION)/jni/win-ffi.h
	cp doc/Android.html newlisp-ndk-utf8-$(VERSION)
	cp util/Android-utf8.mk newlisp-ndk-utf8-$(VERSION)/jni/Android.mk
	cp util/Application.mk newlisp-ndk-utf8-$(VERSION)/jni
	tar czvf newlisp-ndk-utf8-$(VERSION).tgz newlisp-ndk-utf8-$(VERSION)/*
	rm -rf newlisp-ndk-utf8-$(VERSION)
	mv newlisp-ndk-utf8-$(VERSION).tgz ..

android_dist:
	-mkdir newlisp-ndk-$(VERSION)
	-mkdir newlisp-ndk-$(VERSION)/jni
	-mkdir newlisp-ndk-$(VERSION)/libs
	-mkdir newlisp-ndk-$(VERSION)/libs/armeabi
	-mkdir newlisp-ndk-$(VERSION)/obj
	-mkdir newlisp-ndk-$(VERSION)/obj/local
	-mkdir newlisp-ndk-$(VERSION)/obj/local/armeabi
	cp nl*.c newlisp.c *.h pcre*.c newlisp-ndk-$(VERSION)/jni
	rm newlisp-ndk-$(VERSION)/jni/win-ffi.h
	rm newlisp-ndk-$(VERSION)/jni/nl-utf8.c 
	cp doc/Android.html newlisp-ndk-$(VERSION)
	cp util/Android.mk newlisp-ndk-$(VERSION)/jni
	cp util/Application.mk newlisp-ndk-$(VERSION)/jni
	tar czvf newlisp-ndk-$(VERSION).tgz newlisp-ndk-$(VERSION)/*
	rm -rf newlisp-ndk-$(VERSION)
	mv newlisp-ndk-$(VERSION).tgz ..

# this changes to the current version number in several files
#
# before doing a 'make version' the VERSION variable at the beginning
# of this file has to be changed to the new number
#
version:
	sed -i.bak -E 's/int version = .+;/int version = $(INT_VERSION);/' newlisp.c
	sed -i.bak -E 's/newLISP v.[[:digit:]]+.[[:digit:]]+.[[:digit:]]+(-dev)? /newLISP v.$(VERSION) /' newlisp.c
	sed -i.bak -E 's/newLISP\/[[:digit:]]+.[[:digit:]]+.[[:digit:]]+(-dev)?/newLISP\/$(VERSION)/' nl-web.c
	sed -i.bak -E 's/newLISP v.+ Manual/newLISP v.$(VERSION) Manual/' doc/newlisp_manual.html
	sed -i.bak -E 's/Reference v.+<\/h2>/Reference v.$(VERSION)<\/h2>/' doc/newlisp_manual.html
	sed -i.bak -E 's/newlisp-.....-win/newlisp-$(INT_VERSION)-win/' guiserver/newlisp-gs.nsi
	sed -i.bak -E 's/and newLISP .+ on /and newLISP $(VERSION) on /' guiserver/newlisp-gs.nsi
	sed -i.bak -E 's/newlisp-.....-win/newlisp-$(INT_VERSION)-win/' guiserver/newlisp64-gs.nsi
	sed -i.bak -E 's/and newLISP .+ on /and newLISP $(VERSION) on /' guiserver/newlisp64-gs.nsi
	sed -i.bak -E 's/VERSION=.+/VERSION=$(VERSION)/' configure-alt
	sed -i.bak -E 's/VERSION=.+/VERSION=$(VERSION)/' makefile_original_install

=== debian/changelog ===
newlisp (10.7.0-4) unstable; urgency=medium

  * Fix shared library loading for modules.
    Upstream uses a system for dlopen'ing shared libraries that is not
    very robust.  They depend on libraries being installed on full paths,
    which can break things when you move from one system to another.
    Because of this, a fix had to be implemented downstream in order to
    use dlopen's functionality of automatically searching the system
    libraries when you pass just the file name to it.  This also has the
    benefit of not trying to load libraries from /usr/local, which can be
    dangerous. (Closes: #852259)

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Mon, 30 Jan 2017 16:59:36 -0500

newlisp (10.7.0-3) unstable; urgency=medium

  * Silence a warning when compiling on GNU/kFreeBSD.
    When enabling builds on GNU/kFreeBSD, I forgot to forward-declare the
    prototype for strptime, which generated a warning when compiling the
    code.
  * Fix FTBFS on PowerPC 32-bit.
    The fourth argument to semctl must be a 'union semun', but the
    original code passes 0 instead.  This makes the build fail on PowerPC
    32-bit, because of the calling convention for this architecture.
    (Closes: #828807)

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Thu, 14 Jul 2016 01:03:59 -0400

newlisp (10.7.0-2) unstable; urgency=medium

  * Do not use -m32/-m64 when building.
    The use of -m32/-m64 flags is not needed and actually causes a bunch
    of errors on some architectures (like x32). (Closes: #828806)
  * Update Vcs-* links.
  * Support GNU/kFreeBSD builds.
    A few adjustments needed to be made in the makefiles and in the
    source-code in order to support GNU/kFreeBSD properly.  First, -ldl
    has to be used in the linking phase in order to use the dlopen family
    of functions.  The use of FD_COPY also needed to be adjusted and the
    code is using memset instead (just like it is done in GNU/Linux).
    Finally, a new dependency on libncurses5-dev had to be added to
    Build-Depends for kfreebsd-any because newLISP uses -lncurses on the
    linking phase. (Closes: #828805)

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Sat, 02 Jul 2016 08:21:18 -0400

newlisp (10.7.0-1) unstable; urgency=medium

  * Initial release of newLISP. (Closes: #425456)

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Sun, 19 Jun 2016 17:00:31 -0400

## newlisp 10.7.1

=== Makefile ===
--- 
+++ 
@@ -24,8 +24,8 @@
 # and file LOCALIZATION for details
 #
 
-VERSION = 10.7.0
-INT_VERSION = 10700
+VERSION = 10.7.1
+INT_VERSION = 10701
 
 default: makefile_build
 	make -f makefile_build

=== guiserver/Makefile ===
# this make file is only used during development
# the main makefile in the newlisp-x.x.x/ will
# normally peform the installation below

all:
	javac -Xlint java/*.java
	mv java/*.class .
	jar cmf Manifest guiserver.jar *.class images/*.png
	rm *.class

install:
	-install -d  /usr/local/share/newlisp/guiserver
	-install -d  /usr/local/share/doc/newlisp/guiserver
	-install -m 644 guiserver.jar /usr/local/share/newlisp/
	-install -m 644 guiserver.lsp /usr/local/share/newlisp/
	-install -m 644 index.html /usr/local/share/doc/newlisp/guiserver/
	-install -m 644 guiserver.lsp.html /usr/local/share/doc/newlisp/guiserver/
	-install -m 755 newlisp-edit.lsp /usr/local/bin/newlisp-edit

=== debian/changelog ===
newlisp (10.7.1-1) unstable; urgency=medium

  * New upstream version 10.7.1
  * Updating patches to reflect new upstream release.

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Thu, 09 Feb 2017 22:27:44 -0500

=== debian/control ===
Source: newlisp
Section: lisp
Priority: optional
Maintainer: Sergio Durigan Junior <sergiodj@sergiodj.net>
Build-Depends:
 debhelper (>=9),
 libffi-dev,
 libreadline-dev,
 libncurses5-dev [kfreebsd-any]
Standards-Version: 3.9.8
Homepage: http://www.newlisp.org
Vcs-Git: https://anonscm.debian.org/git/collab-maint/newlisp.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/newlisp.git

Package: newlisp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
# For newLISP modules.
Recommends:
 libcrypto++6,
 libmysqlclient18,
 libpq5,
 libsqlite3-0,
 zlib1g
Description: LISP like, general purpose scripting language
 newLISP is a scripting language for developing web applications and
 programs in general and in the domains of artificial intelligence
 (AI) and statistics.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

override_dh_auto_configure:
#	The configure script is hand-made and does not accept options.
	./configure

override_dh_auto_install:
#	Ugh.  This is a hack needed because there is no way to provide
#	DESTDIR to the makefiles.
	make install_home HOME=$(CURDIR)/debian/newlisp/usr/
	rm -f $(CURDIR)/debian/newlisp/usr/share/doc/newlisp/COPYING
	rm -f $(CURDIR)/debian/newlisp/usr/share/doc/newlisp/guiserver/COPYING
	chmod +x $(CURDIR)/debian/newlisp/usr/share/newlisp/util/syntax.cgi

## newlisp 10.7.5

=== Makefile ===
--- 
+++ 
@@ -8,8 +8,6 @@
 # Note! on some systems do 'gmake' instead of 'make' (most BSD)
 #
 # for 'make install' you have to login as 'root' else do 'make install_home'
-# note that 'make install_home' will not install guiserver files which
-# must be in /usr/local/share/newlisp in MacOX X and UNIX machines
 #
 # to make the distribution archive:  'make dist'
 #
@@ -24,8 +22,8 @@
 # and file LOCALIZATION for details
 #
 
-VERSION = 10.7.1
-INT_VERSION = 10701
+VERSION = 10.7.5
+INT_VERSION = 10705
 
 default: makefile_build
 	make -f makefile_build
@@ -49,7 +47,7 @@
 	@echo "  make test            # same as 'make check' but less output"
 	@echo "  make testall         # run an extended test suite with less output"
 	@echo "  make version         # replace version number in several files after changing in Makefile"
-	@echo "  make bench           # benchmark relative to 32-bit Mac OS 10.5 on MacMini 1.83Ghz"
+	@echo "  make bench           # run qa-bench compare to aprevious macOS version on specific hardware"
 	@echo "  make dist            # make a source distribution .tgz package "
 	@echo "  make android_dist    # make a source package for Android NDK compilation"
 	@echo "  make android_dist_utf8  # make a source package for Android NDK compilationi utf8"
@@ -57,13 +55,12 @@
 	@echo "Note! on some systems use gmake instead of make."
 	@echo "Note! not all makefiles are listed in this help, specifically 64-bit versions."
 	@echo " "
-	@echo "Readline is for commandline editing support and requires libreadline and headerfiles."
-	@echo "Not all makefiles contain libreadline support, but is easy to add (see other makefieles)."
-	@echo "If there is no UTF-8 option for your OS, consult makefile_xxx."
+	@echo "make files distinguish beteween os support and compilation with or without"
+	@echo "    lib readline support, 64bit v 32bit support, utf-8 support, extended function import interface
 	@echo " "
-	@echo "For more customization options (exe dir, install dir, 64-biti, etc) see the file doc/INSTALL"
-
-# make newlisp.exe and newlisp.dll on a MinGW, MSYS system
+	@echo "For other customization options (exe dir, install dir,  etc) see the file doc/INSTALL"
+
+# make 32 bit newlisp.exe and newlisp.dll on a MinGW, MSYS system
 # also needs the installer NSYS installed
 winall:
 	make clean
@@ -72,8 +69,9 @@
 	make -f makefile_mingwdll_ffi
 	rm *.o
 	./newlisp qa-dot
-
-# make newlisp.exe and newlisp.dll in UTF-8 flavor
+	tar czvf newlisp-win.tgz newlisp.exe newlisp.dll
+
+# make 32 bit newlisp.exe and newlisp.dll in UTF-8 flavor
 winall_utf8:
 	make clean
 	make -f makefile_mingw_utf8_ffi
@@ -102,82 +100,31 @@
 	./newlisp qa-dot
 	tar czvf newlisp-win64-utf8.tgz newlisp.exe newlisp.dll
 
-# make a Windows installer package
-wings:
-	make -f makefile_wings
+# make macOS newlisp 64bit executable and dynamic link library
+macosall:
+	make clean
+	make -f makefile_darwinLP64_utf8_ffi
+	rm *.o
+	make -f makefile_darwinLP64_utf8_lib
+	rm *.o
+	./newlisp qa-dot
+	tar czvf newlisp-macos-utf8.tgz newlisp newlisp.dylib
 	
-wings64:
-	make -f makefile_wings64
-	
-
-# scripts for making UBUNTU linux packages
-
-dpkg:
-	make clean
-	cp makefile_original_install makefile_install
-	make -f makefile_linuxLP64_ffi
-	cp util/description-pak .
-	sudo checkinstall --nodoc --maintainer "lutz@nuevatec.com" --pkgrelease 1 --default
-	rm description-pak
-	mv *.deb ../Desktop
-
-dpkg_utf8:
-	make clean
-	cp makefile_original_install makefile_install
-	make -f makefile_linuxLP64_utf8_ffi
-	cp util/description-pak .
-	sudo checkinstall --nodoc --maintainer "lutz@nuevatec.com" --pkgrelease utf8 --default
-	rm description-pak
-	mv *.deb ../Desktop
-
-# scripts for making Mac OS X disk image installers
-# makefile_darwin_package needs a previous /Applications/newLISP-GS.app
-dmg_ppc:
-	make clean
-	make -f makefile_darwin_utf8_leopardPPC_ffi 
-	make -f makefile_darwin_package
-	hdiutil create -srcfolder newLISP-image newlisp-$(VERSION)-OSX-ppc.dmg
-	mv newlisp-$(VERSION)-OSX-ppc.dmg ..
-	sudo rm -rf Package_contents
-	sudo rm -rf newLISP-image
-
-# makefile_darwin_package needs a previous /Applications/newLISP-GS.app
-dmg_intel:
-	make clean
-	make -f makefile_darwinLP64_utf8_ffi
-	make -f makefile_darwin_package
-	hdiutil create -srcfolder newLISP-image newlisp-$(VERSION)-OSX-intel.dmg
-	mv newlisp-$(VERSION)-OSX-intel.dmg ..
-	sudo rm -rf Package_contents
-	sudo rm -rf newLISP-image
-
-# this cleans up the distribution directory for a clean build from scratch
+
 
 # this cleans the tree for a rebuild using the same configuration as before
 clean:
 	-rm -f *~ *.bak *.o *.obj *.map *.core core *.tgz *.txt TEST newlisp-universal
 	-rm -f newlisp-js*.*
 	-rm -rf newlisp-js-$(VERSION)
-	-rm -f guiserver/*.class */*~ */._*
 	-rm -f doc/*.bak util/*.bak examples/*.bak modules/*.bak
 	-chmod 644 *.h *.c Makefile makefile*
 	-chmod 755 configure configure-alt examples/*
 	-chmod 644 doc/* modules/*.lsp examples/*.lsp examples/*.html
 	-chmod 755 doc/index.cgi
-	-chmod 644 guiserver/*
-	-chmod 755 guiserver/index.cgi
-	-chmod 755 guiserver/images
-	-chmod 644 guiserver/images/*
-	-chmod 755 guiserver/images/index.cgi
-	-chmod 755 guiserver/java
-	-chmod 644 guiserver/java/*
-	-chmod 755 guiserver/java/index.cgi
 	-rm -f makefile_build makefile_install config.h test-*
 
 # run test scripts
-sharebug:
-	./newlisp qa-dot
-
 
 check:
 	./newlisp qa-dot
@@ -254,9 +201,6 @@
 # This makes the main newlisp-x.x.x.tgz source distribuition package
 dist: clean
 	-mkdir newlisp-$(VERSION)
-	-mkdir newlisp-$(VERSION)/guiserver
-	-mkdir newlisp-$(VERSION)/guiserver/images
-	-mkdir newlisp-$(VERSION)/guiserver/java
 	-mkdir newlisp-$(VERSION)/modules
 	-mkdir newlisp-$(VERSION)/examples
 	-mkdir newlisp-$(VERSION)/doc
@@ -266,13 +210,12 @@
 	cp README newlisp-$(VERSION)
 	cp nl*.c newlisp.c *.h pcre*.c index.cgi newlisp-$(VERSION)
 	cp win64-dll.def win-*.* unix*.c newlisp-$(VERSION)
-	cp Makefile configure* makefile* qa-dot qa-comma newlisp-$(VERSION)
+	cp Makefile configure* make* qa-dot qa-comma newlisp-$(VERSION)
 	cp modules/* newlisp-$(VERSION)/modules
 	cp examples/* newlisp-$(VERSION)/examples
 	cp doc/* newlisp-$(VERSION)/doc
 	cp util/* newlisp-$(VERSION)/util
 	cp qa-specific-tests/* newlisp-$(VERSION)/qa-specific-tests
-	cp -R guiserver/* newlisp-$(VERSION)/guiserver
 	cp -R newlisp-js/* newlisp-$(VERSION)/newlisp-js
 	tar czvf newlisp-$(VERSION).tgz newlisp-$(VERSION)/*
 	rm -rf newlisp-$(VERSION)
@@ -327,9 +270,14 @@
 	sed -i.bak -E 's/newLISP\/[[:digit:]]+.[[:digit:]]+.[[:digit:]]+(-dev)?/newLISP\/$(VERSION)/' nl-web.c
 	sed -i.bak -E 's/newLISP v.+ Manual/newLISP v.$(VERSION) Manual/' doc/newlisp_manual.html
 	sed -i.bak -E 's/Reference v.+<\/h2>/Reference v.$(VERSION)<\/h2>/' doc/newlisp_manual.html
-	sed -i.bak -E 's/newlisp-.....-win/newlisp-$(INT_VERSION)-win/' guiserver/newlisp-gs.nsi
-	sed -i.bak -E 's/and newLISP .+ on /and newLISP $(VERSION) on /' guiserver/newlisp-gs.nsi
-	sed -i.bak -E 's/newlisp-.....-win/newlisp-$(INT_VERSION)-win/' guiserver/newlisp64-gs.nsi
-	sed -i.bak -E 's/and newLISP .+ on /and newLISP $(VERSION) on /' guiserver/newlisp64-gs.nsi
 	sed -i.bak -E 's/VERSION=.+/VERSION=$(VERSION)/' configure-alt
 	sed -i.bak -E 's/VERSION=.+/VERSION=$(VERSION)/' makefile_original_install 
+
+# Prepare the manual file for PDF conversion, by replaceing all <span class="function"></span>
+# with <font color="#DD0000"></font> in the syntax statements and replacing &rarr; (one line
+# arrow with &rArr; (double line arrow). This is necessary when using OpenOffcice PDF conversion 
+#
+preparepdf:
+	util/preparepdf doc/newlisp_manual.html doc/newlisp_manual_preparepdf.html
+
+# end of file

=== debian/changelog ===
newlisp (10.7.5-3) unstable; urgency=medium

  * d/control: Bump debhelper-compat to 13.
  * d/control: Bump Standards-Version to 4.7.2.
  * d/p/0010-Fix-build-with-GCC-15.patch: Fix FTBFS with GCC 15.
    (Closes: #1097457)
  * d/control: Drop unneeded B-D on libncurses5-dev.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 27 Sep 2025 12:14:03 -0400

newlisp (10.7.5-2) unstable; urgency=medium

  * d/p/0009-Fix-shared-library-loading-for-modules.patch:
    Adjust patch so that the modules don't try to load a versioned shared
    library.
  * d/control: Don't recommend hardcoded ABI versions in library packages.
    We should recommend the '-dev' packages instead, which will install
    the proper .so files that will get loaded by the modules. (Closes: #984686)
  * d/p/0009-Set-NEWLISPDIR-to-usr-share-newlisp.patch:
    Inform newlisp that the common files are installed under
    /usr/share/newlisp, not /usr/local/share.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 07 Mar 2021 15:17:34 -0500

newlisp (10.7.5-1) unstable; urgency=medium

  * New upstream version 10.7.5.
  * Update d/patches.
  * Update d/newlisp.doc-base and remove a reference to guiserver.
  * Bump Standards-Version to 4.4.0.
  * Install examples directory.
  * Update d/copyright.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 20 Jul 2019 19:47:33 -0400

newlisp (10.7.1-2) unstable; urgency=medium

  * Update Vcs-* URLs to use salsa.
  * Update my e-mail address.
  * Update compat level to 12.
  * Bump Standards-Version to 4.3.0.
  * Recommend sensible-utils due to canvas.lsp module.
  * Don't use unnecessary '--parallel' option when invoking dh.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 06 Mar 2019 19:37:22 -0500

=== debian/control ===
Source: newlisp
Section: lisp
Priority: optional
Maintainer: Sergio Durigan Junior <sergiodj@debian.org>
Build-Depends:
 debhelper-compat (=13),
 libffi-dev,
 libreadline-dev,
Standards-Version: 4.7.2
Homepage: http://www.newlisp.org
Vcs-Git: https://salsa.debian.org/debian/newlisp.git
Vcs-Browser: https://salsa.debian.org/debian/newlisp

Package: newlisp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
# For newLISP modules.
Recommends:
 libssl-dev,
 default-libmysqlclient-dev,
 libpq-dev,
 libsqlite3-dev,
 zlib1g-dev,
 sensible-utils,
Description: LISP like, general purpose scripting language
 newLISP is a scripting language for developing web applications and
 programs in general and in the domains of artificial intelligence
 (AI) and statistics.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
#	The configure script is hand-made and does not accept options.
	./configure

override_dh_auto_install:
#	Ugh.  This is a hack needed because there is no way to provide
#	DESTDIR to the makefiles.
	make install_home HOME=$(CURDIR)/debian/newlisp/usr/
	rm -f $(CURDIR)/debian/newlisp/usr/share/doc/newlisp/COPYING
	chmod +x $(CURDIR)/debian/newlisp/usr/share/newlisp/util/syntax.cgi

override_dh_installexamples:
	dh_installexamples
	chmod -x \
		$(CURDIR)/debian/newlisp/usr/share/doc/newlisp/examples/*.txt \
		$(CURDIR)/debian/newlisp/usr/share/doc/newlisp/examples/newlisp \
		$(CURDIR)/debian/newlisp/usr/share/doc/newlisp/examples/*.xls

=== debian/watch ===
version=4

http://www.newlisp.org/downloads \
  newlisp-([\d\.]+)\.tgz debian uupdate
